#pragma once
#include <Interface.h>

class IBoardI2sMan;

class ChannelI2s : public II2SoundBus
{
private:
    IBoardI2sMan * mBoardI2sMan;
public:
    ChannelI2s(/* args */);
    ~ChannelI2s();
    void init() override;
    void begin(unsigned char bclk,unsigned char lrc, unsigned char din,int samplerate = DEFAULT_PCM_SAMPLE_RATE, int bitpersample = 16) override;
    void stop() override;
    void start() override;
    void write(unsigned char val) override;  
    virtual bool IsRunning () override;
};